Bug 495100 - Horrible performance after screensaver active for 30 - 60 minutes
Horrible performance after screensaver active for 30 - 60 minutes
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-09 14:24 EDT by Andrew Overholt
Modified: 2009-12-04 12:57 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-04 12:57:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log (484.91 KB, text/plain)
2009-04-09 14:24 EDT, Andrew Overholt
no flags Details

  None (edit)
Description Andrew Overholt 2009-04-09 14:24:07 EDT
Created attachment 338969 [details]
Xorg.0.log

Description of problem:
I know this sounds crazy, but when I unlock my screensaver after it has been active for some time longer than about 5 minutes, responsiveness is horrible.  Having my screensaver enabled for a short amount of time doesn't seem to affect things.  Switching between applications is horribly slow, firefox takes forever to display items in the awesome bar (longer than usual), text display can barely keep up with my typing, etc.  Logging out and logging back in seems to fix the issue.

Version-Release number of selected component (if applicable):

2.6.29-3.fc10.x86_64
xorg-x11-drv-i810-2.5.0-4.fc10.x86_64

How reproducible:
Every day when I step out for lunch.

Additional info:
I'll attach my Xorg.log.  I have no xorg.conf.  The only things in /var/log/messages are the messages that my USB hub in my monitor has been found when I turn the external monitor back on.  My smolt profile:

http://www.smolts.org/show?uuid=pub_e3f57b99-cd86-4253-bc26-4427d1b2a226

I use an external keyboard and mouse attached to the USB hub on an
external monitor.

top shows nothing noticeably large, there's free memory, and nothing is
swapping.  The cpu load is < 0.2.
Comment 1 Andrew Overholt 2009-04-09 14:27:51 EDT
This *may* be the same as #486682 but I'm not sure how to verify that.
Comment 2 Adam Jackson 2009-04-13 18:24:15 EDT
What's your screensaver do?  Are you using just the black-screen saver or something more complicated?
Comment 3 Andrew Overholt 2009-04-13 20:38:23 EDT
Just the black screensaver.
Comment 4 Vedran Miletić 2009-11-05 18:12:25 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, including Intel driver, which may have resolved this issue.
To be more precise, Intel has undergone a major rewrite during Fedora 10, 11 and 12 cycles, and whole driver is working a lot better now. Users who have experienced this problem are encouraged to retry with at least Fedora 12 Beta and see if the issue is still relevant.

Please, if you experience this problem on Fedora 12 Beta or up-to-date system running Rawhide, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

We hope to see how many older bugs in Intel driver are still relevant today, in hope that most of them were fixed in rewrite process.

[This is a bulk message for all open Fedora 10 i810-related bugs (39 of them are still open). I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 5 Bug Zapper 2009-11-18 06:43:12 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Vedran Miletić 2009-12-04 12:57:56 EST
Thank you for your bug report.

We are sorry, but the Fedora Project is will soon stop longer releasing bug fixes or any other updates for this version of Fedora. There were so many changes between Fedora 10 and Fedora 12 in Intel driver and X.Org that it's very likely that this bug is fixed. This bug will be set to CLOSED:WONTFIX to reflect this, but please reopen it if the problem persists after upgrading to the latest version of Fedora (version 12), which is available from:

http://fedoraproject.org/get-fedora

Note You need to log in before you can comment on or make changes to this bug.